/* Copyright 2003, Jan D. Wolter and Steven R. Weiss, All Rights Reserved. */

#ifndef BTPASSWD_H
#define BTPASSWD_H

/* Data structure used to save user information from ident and auth databases.
 * (We used to just use the unix 'struct passwd' structure, but we are drifting
 * away from that a bit.)
 */

struct btpasswd {
    char *name;		/* User Name */
    char *passwd;	/* User Password */
    uid_t uid;		/* User ID */
    gid_t gid;		/* Group ID */
    char *gecos;	/* Real Name */
    char *dir;		/* Home Directory */
    char *email;	/* Email Address */
    char *valcode;	/* Email Validation Code (NULL if validated) */
    char priv;		/* Privacy flag for data in .backtalk */
    char epriv;		/* Privacy flag for email address */
};

#endif /* !BTPASSWD_H */
