/* Copyright 1996, Jan D. Wolter and Steven R. Weiss, All Rights Reserved. */

/* Utility routines for command line programs. */

#include "common.h"
#include "str.h"

#ifdef DMALLOC
#include "dmalloc.h"
#endif

/* DIE - Exit with an error condition.  Arguments are like printf(), specifying
 * a message to print before exiting.
 */

void die(const char *fmt, ...)
{
    va_list ap;

    va_start(ap,fmt);
    vfprintf(stderr, fmt, ap);
    putc('\n',stderr);
    va_end(ap);
    exit(1);
}
